Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 08-10-2011 22:37:55

yopdebfacile
Membre
Inscription : 08-10-2011

Re : [Résolu]VLC

Bonjour,

pour moi le problème a été résolu en utilisant le paquet libswscale0 officiel de Debian, et non celui de debian-multimedia.org. VLC réussit à afficher l'image, et pour l'instant, mplayer n'a pas l'air trop perturbé par l'opération.

$ apt-cache policy libswscale0
libswscale0:
Table de version :
     5:0.6.1+svn20101128-0.2squeeze2 0
        500 http://www.debian-multimedia.org/ squeeze/main amd64 Packages
*** 4:0.5.4-1 0
        500 http://ftp.fr.debian.org/debian/ squeeze/main amd64 Packages

# aptitude install libswscale0=4:0.5.4-1

Et voilà !

Pour éviter que le paquet repasse à la version de debian-multimedia lors du prochain upgrade, vous pouvez modifier le fichier /etc/apt/preferences en conséquence (technique du "Pinning"), c'est sans doute la meilleure solution, mais je vous laisser trouver vous-même la syntaxe...

Ou bien vous pouvez dire à aptitude que ce paquet ne doit pas être mis à jour. Lancez aptitude :
# aptitude

trouvez le paquet libswscale0 dans la liste (touche "/" pour rechercher), puis une fois celui-ci sélectionné, appuyez sur "F" (majuscule !) pour que le prochain upgrade ignore la version actuellement proposée par debian-multimedia qui aurait autrement été installée. Mais attention, dès qu'une toute nouvelle version, supérieure à la version actuellement installée, sera disponible, elle sera prise en compte lors de l'upgrade suivant. Vous pouvez condamner définitivement tout mise à jour future du paquet en appuyant sur "=" au lieu de "F", mais cela vous privera des mises à jour de sécurité et pourrait peut-être poser un problème de cohérence un jour...

"q" pour quitter.

Yop

Dernière modification par yopdebfacile (08-10-2011 22:45:21)

Hors ligne

Pied de page des forums